TAN
Introduction
This API allows users to verify their TAN(Tax Deduction and Collection Account Number).
How to call the API
You are required to pass the access token received from the login call to the authorization header of the request.
API Input Guidelines
You need to pass the companyName and tan in the request body and access token received from login in the respective authorization header.
API details
Endpoint
POST https://api.signzy.app/api/v3POST https://api-preproduction.signzy.app/api/v3Request Headers
Name | Value | Required | Description |
|---|---|---|---|
Content-type | application/json | Mandatory | The type of content that the request body contains. |
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Input Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
companyName | Name of comapany associated with tan |
tan | Tan to be verified |
Sample Curl
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/...patronId.../tans' \
--header 'Content-Type: application/json' \
--header 'Authorization: ...Authorization token...' \
--data '{
"essentials": {
"companyName": "...companyName...",
"tan": "...tan..."
}
}'Response body parameters
Output Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
essentials | Contains "essentials" key of the request body |
essentials.companyName | Name of comapany associated with tan |
essentials.tan | Tan to be verified |
id | Unique id of user |
patronId | Unique patronId of user |
result | The resulting json object containing search results |
result.verified | Status of verification - true / false |
result.message | Verification message - "Verification completed with positive result/Verification completed with negative result" |
Status Codes
CODE | MESSAGE |
|---|---|
200 | OK |
404 | Company not found |
409 | Company not found |
400 | Invalid Data |

Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].